Below is the list of changes that have just been committed into a local
5.0 repository of msvensson. When msvensson does a push these changes will
be propagated to the main repository and, within 24 hours after the
push, to the public repository.
For information on how to access the public repository
see http://dev.mysql.com/doc/mysql/en/installing-source-tree.html
ChangeSet
1.2019 06/01/31 10:48:40 msvensson@neptunus.(none) +1 -0
Check std_data_ln already created
Add / to std_data in ln command
mysql-test/mysql-test-run.sh
1.289 06/01/31 10:48:33 msvensson@neptunus.(none) +4 -2
Check if std_data_ln is already created
Add / to std_data to create a symlink to a dir an not a file.
# This is a BitKeeper patch. What follows are the unified diffs for the
# set of deltas contained in the patch. The rest of the patch, the part
# that BitKeeper cares about, is below these diffs.
# User: msvensson
# Host: neptunus.(none)
# Root: /home/msvensson/mysql/mysql-5.0
--- 1.288/mysql-test/mysql-test-run.sh 2006-01-31 09:38:36 +01:00
+++ 1.289/mysql-test/mysql-test-run.sh 2006-01-31 10:48:33 +01:00
@@ -608,8 +608,10 @@
[ -d $MYSQL_TEST_DIR/var/tmp ] || mkdir $MYSQL_TEST_DIR/var/tmp
[ -d $MYSQL_TEST_DIR/var/run ] || mkdir $MYSQL_TEST_DIR/var/run
[ -d $MYSQL_TEST_DIR/var/log ] || mkdir $MYSQL_TEST_DIR/var/log
-ln -s $MYSQL_TEST_DIR/std_data $MYSQL_TEST_DIR/var/std_data_ln
-
+if ! test -L $MYSQL_TEST_DIR/var/std_data_ln ; then
+ ln -s $MYSQL_TEST_DIR/std_data/ $MYSQL_TEST_DIR/var/std_data_ln
+fi
+
if test ${COLUMNS:-0} -lt 80 ; then COLUMNS=80 ; fi
E=`$EXPR $COLUMNS - 8`
DASH72=`$ECHO '-------------------------------------------------------'|$CUT -c 1-$E`
| Thread |
|---|
| • bk commit into 5.0 tree (msvensson:1.2019) | msvensson | 31 Jan |